Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.util.logging
[Java] Annotation Type Log

    java.lang.Object
      groovy.util.logging.Log

    @Retention(RetentionPolicy.SOURCE)
    @Target({ElementType.TYPE})
    @GroovyASTTransformationClass("org.codehaus.groovy.transform.LogASTTransformation")
    public @interface Log

This local transform adds a logging ability to your program using java.util.logging. Every method call on a unbound variable named log will be mapped to a call to the logger. For this a log field will be inserted in the class. If the field already exists the usage of this transform will cause a compilation error. The method name will be used to determine what to call on the logger.

     log.name(exp)

is mapped to

     if (log.isLoggable(Level.NAME) {
        log.name(exp)
     }

Here name is a place holder for info, fine, finer, finest, config, warning, severe. NAME is name transformed to upper case. if anything else is used it will result in an exception at runtime. If the expression exp is a constant or only a variable access the method call will not be transformed. But this will still cause a call on the injected logger.

Authors:
  Guillaume Laforge
  Jochen Theodorou
  Dinko Srkoc
  Hamlet D'Arcy
  Raffaele Cigni
  Alberto Vilches Raton

Since:
  1.8.0

Nested Class Summary
`static class` | `Log.JavaUtilLoggingStrategy` This class contains the logic of how to weave a Java Util Logging logger into the host class.

Optional Element Summary
`java.lang.Class` | `loggingStrategy` @default JavaUtilLoggingStrategy.class
`java.lang.String` | `value` @default "log"

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### loggingStrategy

    public java.lang.Class loggingStrategy

  @default JavaUtilLoggingStrategy.class

### value

    public java.lang.String value

  @default "log"

Groovy Documentation